Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary

From: Michael Heerdegen <[email-masked]>
Date: Fri, 06 May 2022 00:14:53 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> > Amazingly, "-x" is available as an Emacs command-line switch...
>
> I think that sounds really attractive, so I've added this to Emacs 29.
> The new -x switch is like --script, but will kill Emacs when it reaches
> the end of the script, and return the value of the final form as the
> return value, so you can say use 0 at the end to signal success to the
> caller.

Thanks - but it doesn't work correctly for me.  Contrarily to --script,
my init file is being loaded with -x.  Does that work correctly for you,
Lars?

TIA,

Michael.